function FindRule2(selText){
	for (var j=document.styleSheets.length-1;j>=0;j--){
		var ss = document.styleSheets[j];
		var cache = ss.cssRulesCache = ss.cssRulesCache || {};
	
		//screw case sensitivity; IE and Mozilla don't agree on case for elements themselves
		selText=selText.toLowerCase();
	
		if (cache[selText]) return cache[selText];
		var rules = ss.cssRules || ss.rules;
		for (var i=0,len=rules.length;i<len;i++){
			var rule=rules[i], ruleSelText = rule.selectorText;
			
			// Clean up Safari's weirdness
			ruleSelText = ruleSelText.replace(/\.(\w+)\[CLASS~="\1"\]/g,'.$1').replace(/\[ID"([^"]+)"\]/g,'#$1');
			
			// Clean up IEMac's weirdness
			ruleSelText = ruleSelText.replace(/\*([.#])/g,'$1');
	
			//screw case sensitivity; IE and Mozilla don't agree on case for elements themselves
			ruleSelText = ruleSelText.toLowerCase();
	
			if (ruleSelText==selText) return (cache[selText]=rules[i]);
		}
	}
	return null;
}

function AttachEvent(obj,evt,fnc,useCapture){
	if ( obj.addEventListener )
	{
		obj.addEventListener( evt, fnc, !!useCapture );
		return true;
	}
	else if ( obj.attachEvent )
	{
	  return obj.attachEvent( "on"+evt, fnc );
	}
}

AttachEvent( window, 'load', function()
{
  var theCheckbox = document.getElementById( 'showInherited' );
  if ( !theCheckbox ) return;
  var theInheritedRule = FindRule2( ".inherited" );
  AttachEvent( theCheckbox, 'click', function(evt)
  {
    var input = evt.currentTarget || evt.srcElement;
    theInheritedRule.style.display = ( input.checked ? '' : 'none' );
  } );
} );
